Activate a Connected Workflow

Purpose

To activate or publish a connected workflow, making it operational in your Zoho CRM account.

Endpoints

  • PUT /settings/connected_workflows/{connected_workflow_ID}/actions/activate

Request Details

Request URL

{api-domain}/crm/{version}/settings/connected_workflows/{connected_workflow_ID}/actions/activate

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.connected_workflows.UPDATE 
(or)
 ZohoCRM.settings.connected_workflows.ALL
(or)
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/connected_workflows/72638273648927364/actions/activate" -H "Authorization:
Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf" 
-X PUT

Note

  • If the connected workflow is in Draft state, it will be published and moved to active state.
  • If the connected workflow is in Deactivated state, it will be activated.
  • Connected workflows are supported in Standard, Professional, Enterprise, and Ultimate editions.
  • The user must have Manage Automations or Manage Connected Workflow permission enabled to access this API.

Possible Errors

  • INVALID_DATAHTTP 400
    • The given ID seems to be invalid
      Resolution: Provide a valid connected workflow ID in the request URL.
    • Rule limit exceeded
      Resolution: You have exceeded the number of rules for one or more modules. More details can be found in the details.limit_exceeded_modules section of the response.
    • Unsupported module is used
      Resolution: You have used an unsupported module. More details can be found in the details.modules_disabled section of the response.
  • LIMIT_EXCEEDED HTTP 400

    Maximum number of connected workflow limit reached
    Resolution: Limit the number of connected workflows within the allowed limit. To know more about limits applicable to your edition, please check our Feature List page.

  • FEATURE_NOT_SUPPORTEDHTTP 400

    Your edition doesn't support this feature
    Resolution: Upgrade the account to Standard, Professional, Enterprise, or Ultimate edition and then retry the request.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: This API supports only the PUT method. Retry the request using the PUT method.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: Client does not have the required OAUTH SCOPE. Create a new token with valid scope. Refer to the Scope section for more details.

  • NO_PERMISSIONHTTP 403

    Permission denied
    Resolution: Ensure that the user making the API call has the Manage Autiomation or Connected Workflow permission enabled in their CRM profile, and then retry the request.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in Server. Contact support team.

Sample Response

Copied{
    "connected_workflows": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "4876876000019209007"
            },
            "message": "connected workflow activated successfully",
            "status": "success"
        }
    ]
}